Skip to main content
`Ctrl`+`K`

# STFilterGetDegree

Gets the degree of the filter polynomial.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterGetDegree(ST st,PetscInt *deg)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- deg - polynomial degree

## See Also

ST: Spectral Transformation, `STFILTER`, `STFilterSetDegree()`

## Level

intermediate

## Location

src/sys/classes/st/impls/filter/filter.c

## Implementations

STFilterGetDegree_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages